Subject: Re: [BUG][3.10.15] reading from /proc/sys/net/netfilter/nf_log/*

From: Florian Westphal <[email-masked]>
Date: Wed, 18 Dec 2013 22:08:17 +0100

Steven Rostedt <[email-masked]> wrote:
> On Mon, 16 Dec 2013 14:55:50 +0800
> Gao feng <[email-masked]> wrote:
> > On 12/14/2013 11:10 PM, Steven Rostedt wrote:
[..]
> > > BUG: unable to handle kernel paging request at ffffffffa06189f0 
> > > IP: [<ffffffff814b7904>] nf_log_proc_dostring+0x94/0x1a0 
[..]

> > > And after the module-load test, it crashes when reading those files.
> > > 
> > 
> > Oops, I forgot to unset the nf_loggers of net namespace when unload module nfnetlink_log.
> > I will send a patch, please have a try.
> 
> Hi Gao,
> 
> I haven't seen a patch. Was one sent?

Yes, submitted to netfilter-devel, see http://patchwork.ozlabs.org/patch/301485/